=== debian/changelog ===
unity-java (1.1~b1+dfsg-3) unstable; urgency=medium

  [ Ole Streicher ]
  * Fix wrong dependency on junit4

  [ Chris Lamb ]
  * unity-java: please make the build reproducible (Closes: #1040904)

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Jul 2023 11:52:27 +0200

unity-java (1.1~b1+dfsg-2) unstable; urgency=medium

  * Source-only re-upload

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 09:51:05 +0200

unity-java (1.1~b1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1029549)

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Jun 2023 14:53:40 +0200
