=== debian/control ===
Source: unity-java
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               javahelper,
               junit4
Build-Depends-Indep: default-jdk,
                     default-jdk-doc
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/unity-java
Vcs-Git: https://salsa.debian.org/debian-astro-team/unity-java.git
Homepage: https://purl.org/nxg/dist/unity
Rules-Requires-Root: no

Package: libunity-java
Architecture: all
Multi-Arch: foreign
Depends: ${java:Depends},
         ${misc:Depends}
Description: Parse scientific unit specifications with Java
 This is the unity library, which is able to parse scientific unit
 specifications using a variety of syntaxes. It is not a goal for this
 library to do any processing of the resulting units, such as unit
 conversion or arithmetic.

Package: libunity-java-doc
Multi-Arch: foreign
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libunity-java
Description: Parse scientific unit specifications with Java (javadocs)
 This is the unity library, which is able to parse scientific unit
 specifications using a variety of syntaxes. It is not a goal for this
 library to do any processing of the resulting units, such as unit
 conversion or arithmetic.
 .
 This package contains the JavaDoc documentation of the package.
