## unity-java 1.1+dfsg

=== debian/changelog ===
unity-java (1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1+dfsg
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 13 Sep 2024 11:50:53 +0200
