=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                junit4
 Build-Depends-Indep: default-jdk,
                      default-jdk-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/unity-java
 Vcs-Git: https://salsa.debian.org/debian-astro-team/unity-java.git
 Homepage: https://purl.org/nxg/dist/unity
