=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build -- LANGS=src/java
	javadoc -cp src/java:src/java/gen -d html uk.me.nxg.unity

override_dh_auto_test:
	CLASSPATH=/usr/share/java/junit4.jar dh_auto_test -- LANGS=src/java

override_dh_auto_install:
	# do nothing
