=== debian/tests/control ===
Tests: test-unity
Depends: @, default-jdk, junit4
Restrictions: allow-stderr
